<?xml version="1.0" encoding="utf-8"?><!--
  ~  Copyright (C) 2017 MINDORKS NEXTGEN PRIVATE LIMITED
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~      https://mindorks.com/license/apache-v2
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.ttnfleetsolutions.ttnfleet.ui.empty.EmptyItemViewModel" />

    </data>

    <LinearLayout
        android:id="@+id/linearLayoutView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/imageViewEmpty"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:layout_gravity="center"
            android:visibility="gone"
            app:srcCompat="@mipmap/logo" />

        <TextView
            android:id="@+id/tv_message"
            style="@style/TextAppearance.Text.SubHeading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="16dp"
            android:gravity="center"
            android:text="@{viewModel.mMessage}"
            android:textColor="@color/gray" />

        <Button
            android:id="@+id/btn_retry"
            style="@style/Widget.AppCompat.Button.Colored"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/activity_horizontal_margin"
            android:onClick="@{() -> viewModel.onRetryClick()}"
            android:text="@string/retry"
            android:visibility="@{viewModel.mIsRetryVisible ? View.VISIBLE : View.GONE}" />
    </LinearLayout>

</layout>